namespace Atomx.Admin.Models
{
    public class MonitoringOptions
    {
        public bool Enabled { get; set; } = true;
        public bool ExcludeHealthChecks { get; set; } = true;
        public int SlowRequestThresholdMs { get; set; } = 1000;
        public List<PathFilter> IncludePaths { get; set; } = new();
        public List<PathFilter> ExactExcludePaths { get; set; } = new();
        public List<PathFilter> WildcardExcludePaths { get; set; } = new();
    }
}
